> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Account-level APIs

Plan: Developer Foundations

Lesson 5 of 12 · 15 min

## Introduction

Account-level APIs operate similarly to admin APIs but deal with data on the account level rather than the store level. A single BigCommerce account can be associated with multiple stores.

The **GraphQL Account API** is the only existing account-level API.

## GraphQL Account API

The [GraphQL Account API](/developer/api-reference/graphql/account) supports:

* [**Managing BigCommerce control panel users**](/developer/api-reference/graphql/account/overview) and the stores they are assigned to. This feature is useful for Enterprise merchants who need to audit existing users or integrate with third-party user management systems.
* [**Unified billing management**](/developer/docs/integrations/apps/unified-billing) for tech partners.

### Authentication

The dashboard for creating **account-level API accounts** can be accessed from the BigCommerce control panel. When creating an account, you'll specify the OAuth scopes the account has access to.

![Creating an account-level API account](/_fern-files/bigcommerce.docs.buildwithfern.com/76943e7cbc8eca5350fdbb74d2a6f2e65b6e39aea37628d9a3559c204c4d1bf4/assets/learn/intro-to-bc-development/account-level-api-account.png)

Like with store-level API accounts, each account is associated with a client ID, secret, and access token. The account UUID will be displayed as well.

Provide the OAuth access token in the *X-Auth-Token* header of GraphQL Account API requests.

**Example Request:**

```js showLineNumbers={false}
POST https://api.bigcommerce.com/accounts/<account_uuid>/graphql
X-Auth-Token: <access_token>
Accept: application/json
Content-Type: application/json
```

## Resources

* [GraphQL Account API](/developer/api-reference/graphql/account)
* [GraphQL - User Management](/developer/api-reference/graphql/account/overview)
* [GraphQL - Unified Billing](/developer/docs/integrations/apps/unified-billing)